Bug 1031811 - nouveau_connector_hotplug_work, kworker cpu pegged
nouveau_connector_hotplug_work, kworker cpu pegged
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 15:20 EST by kc8hfi
Modified: 2015-02-17 14:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:17:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
html output of powertop (50.63 KB, text/html)
2013-11-18 15:20 EST, kc8hfi
no flags Details
part of /var/log/messages that shows the nouveau crash (305.19 KB, text/plain)
2014-08-28 22:44 EDT, kc8hfi
no flags Details

  None (edit)
Description kc8hfi 2013-11-18 15:20:58 EST
Created attachment 825824 [details]
html output of powertop

Description of problem:
The kworker process pegs the cpu at 100%.  

top command shows kworker consuming the cpu

powertop command shows nouveau_connector_hotplug_work at the top of the list.

Kernel 3.11.8-200.fc19.x86_64

How reproducible:
about every 3 out of 5 reboots.

Steps to Reproduce:
1.reboot the box
2.if the problem shows up, the system will be extremely slow

Actual results:
The cpu is pegged at 100%, system is very sluggish.  I keep rebooting the box until its not sluggish when switching to one of the vty's via ctrl-alt-f<2-6>

I've added the output of powertop as an attachment.
Comment 1 patrick.clara 2014-01-09 08:59:22 EST
I have noticed this bug report since I have a very similar problem, which could be caused by the same bug, with the only difference that in my case it happens all the time. Rebooting the system does not change anything.

Since until now I have primarily used Debian and I already filed a bug there:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=726841

but I recently considered switching from Debian to Fedora 20 since it handles better displays with high dpi.

I have checked that everything, which applyes to Debian also applyes to Fedora. The only thing I did not check, is the kernel bisect since I do not have the time to redo it.

Since Im not familiar with bug reporting, please let me know/if I can be helpful.
Comment 2 kc8hfi 2014-08-28 22:44:31 EDT
Created attachment 932542 [details]
part of /var/log/messages that shows the nouveau crash

excerpt of /var/log/messages
Comment 3 kc8hfi 2014-08-28 22:46:12 EDT
This problem happens every time I reboot my box.  My scenario is:
nvidia gtx 650ti running the nouvuea drivers
It has 4 monitors hooked up to it.
2 monitors are hooked up via the dvi ports
2 monitors are hooked up via the hdmi ports

Leave everything plugged in and reboot the system.  When the system boots up,  that kworker thread pegs out the cpu and the system is pretty much useless.  

Turn off the system, then unplug the two hdmi monitors.  The system boots up fine.  After the system boots, I can plug those two monitors back in and everything is fine.  

When the system is running,  sometimes nouveau will crash and burn.  I've attached an excerpt from /var/log/messages that shows this
Comment 4 Fedora End Of Life 2015-01-09 15:37:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 14:17:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.